import axios from 'axios';
const APIURL = 'http://st1.fawaterk.com:8181/api/v2';
const instanceAPI = axios.create({
  baseURL: APIURL
});
instanceAPI.interceptors.request.use(config => {
  if (config.method === 'post' && config.data === undefined) {
    config.data = {};
  }
  return config;
}, error => Promise.reject(error));
export const getInvoicePaymentTypes = async TOKEN => {
  const result = await instanceAPI.post('/invoice/paymentType', {}, {
    headers: {
      Authorization: `Bearer ${TOKEN}`
    }
  });
  return result.data;
};
export const createInvoiceRequest = async (requestUrl, requestData) => {
  return new Promise(async (resolve, reject) => {
    try {
      const result = await instanceAPI.post(requestUrl, requestData, {});
      resolve(result.data);
    } catch (err) {
      reject({
        status: 'error',
        message: null
      });
    }
  });
};
//# sourceMappingURL=index.js.map